;; page 0 is visible at &0000-&ffff
;; 
;; Program Counter is 0. Interrupts are off.
;; Interrupt mode is 0. R should be 0.
;;
;; The contents of other registers are undefined.
;;
;; ASIC is locked.

org &0000

;; this is called when inserted into GX4000, Plus
jp main_start
defb "AMS"
;; offset 6, must be a JP. If not CSD just calls 0.
;; This is called when the CSD is running in timed mode, 
;; where it goes through each cartridge and runs them for
;; a short time
jp csd_auto_start						
;; offset 9, must be a JP. If not CSD just calls 0.
;; This is called when the CSD is running in non-timed mode (e.g. manual
;; selection).
jp csd_manual_start


csd_auto_start:
ld bc,&7f10
out (c),c
ld bc,&7f40
out (c),c
csd_auto_start1:
jp csd_auto_start1

csd_manual_start:
ld bc,&7f10
out (c),c
ld bc,&7f43
out (c),c
csd_manual_start1:
jp csd_manual_start1

main_start:
ld bc,&7f10
out (c),c
ld bc,&7f54
out (c),c
main_start1:
jp main_start1


